2024-06-17 19:41 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002130MightAndMagic3[All Projects] Generalpublic2009-08-25 21:39
ReporterEgillSkallagrimsson 
Assigned ToWeplProject InfoMight & Magic III - Isles of Terra (New World Computing)
http://www.whdload.de/games/MightAndMagic3.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002130: There are some weird dungeon glitches in the dungeon in Fountainhead (and
DescriptionGameVersion: english,pal,6 disks
SlaveVersion: 1.0 from 27.07.06

There are some weird dungeon glitches in the dungeon in Fountainhead (and possibly others). The map shows walls where their should be none and other hard to explain weirdness. I've tried playing from the original floppies to make sure that it's not just a bug with the Amiga port, too.
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem16 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9
importedyes
Attached Files

-Relationships
related to 0001681closedWepl Might & Magic III - Isles of Terra: Hello, i test the program and i found a 
+Relationships

-Notes

note ~0001344

Wepl (manager)

have you tried options NOCACHE and/or EXPCHIP?

note ~0001346

EgillSkallagrimsson (reporter)

Yes, no change. I've also tried running it under winuae with the same results.

note ~0001356

Wepl (manager)

I will check this...

note ~0001359

Wepl (manager)

I assume you use the english version right?
Could you help me and verify if the german version has the same problem?
http://www.whdownload.com/games/Update-2007-12-20/Might&Magic3_v1.0_De.zip

note ~0001360

EgillSkallagrimsson (reporter)

Ok, I just tried it. It has the same problem.

note ~0001362

Wepl (manager)

do you have an original and could try it with the manual protection intact?

note ~0001364

EgillSkallagrimsson (reporter)

I've tried it in winuae using ips floppy images from SPS with the copy protection intact and using the game's built in hdd installer. It works correctly this way. Does this mean there is something wrong with the copy protection removal with the whdload pack?

note ~0001365

Wepl (manager)

I think it's fixed now, please try attached slave.

note ~0001367

EgillSkallagrimsson (reporter)

Wow, that fixed it. Thanks so much.:) Out of curiosity, what ended up being wrong with it?

note ~0001368

Wepl (manager)

fine.
it was a bug (missing feature) in the kickstart emulation, the game reads and writes the save game file with the same file handle, that wasn't supported and lead to data corruption.
I don't think so but it's possible that the savegame has been corrupted. for safety it's maybe better you start with a new party?

note ~0001370

Wepl (manager)

new install package has been released

note ~0001371

EgillSkallagrimsson (reporter)

Awesome work. I really appreciate it.:) Yeah, I had to start a new save but that was no trouble.

note ~0001396

Wepl (manager)

should be fixed with release 1.2
+Notes

-Issue History
Date Modified Username Field Change
2009-08-10 00:39 administrator New Issue
2009-08-10 00:39 administrator Status new => assigned
2009-08-10 00:39 administrator Assigned To => Wepl
2009-08-10 00:39 administrator Machine => A4000
2009-08-10 00:39 administrator CPU => 68060
2009-08-10 00:39 administrator CPUSpeed => 50
2009-08-10 00:39 administrator ChipSet => AGA
2009-08-10 00:39 administrator GFXCard => None
2009-08-10 00:39 administrator ChipMem => 2 MB
2009-08-10 00:39 administrator FastMem => 16 MB
2009-08-10 00:39 administrator Workbench => OS 3.9
2009-08-10 00:39 administrator KickROM => 40 - Kick 3.1
2009-08-10 00:39 administrator KickSoft => None
2009-08-10 00:39 administrator WHDLoad => 16.9
2009-08-10 00:39 administrator imported => yes
2009-08-10 00:45 Wepl Note Added: 0001344
2009-08-10 05:26 EgillSkallagrimsson Note Added: 0001346
2009-08-10 23:23 Wepl Note Added: 0001356
2009-08-11 10:23 Wepl Note Added: 0001359
2009-08-11 16:14 EgillSkallagrimsson Note Added: 0001360
2009-08-11 22:00 Wepl Note Added: 0001362
2009-08-11 22:51 EgillSkallagrimsson Note Added: 0001364
2009-08-12 22:29 Wepl File Added: MightAndMagic3.Slave
2009-08-12 22:35 Wepl Note Added: 0001365
2009-08-12 22:37 Wepl Relationship added related to 0001681
2009-08-13 01:33 EgillSkallagrimsson Note Added: 0001367
2009-08-13 09:54 Wepl Note Added: 0001368
2009-08-13 22:18 Wepl Note Added: 0001370
2009-08-13 22:18 Wepl Status assigned => resolved
2009-08-13 22:18 Wepl Resolution open => fixed
2009-08-13 23:00 EgillSkallagrimsson Note Added: 0001371
2009-08-25 21:39 Wepl Note Added: 0001396
2009-08-25 21:39 Wepl Status resolved => closed
+Issue History